import Route from '@ioc:Adonis/Core/Route';

// API
Route.group(() => {
    // Route.post("register", "AuthController.register");
    // Route.post("login", "AuthController.login");

    Route.group(() => {
        Route.get('authors', 'AuthorsController.index').as('author.index');
        Route.get('datasets', 'DatasetController.index').as('dataset.index');
        Route.get('persons', 'AuthorsController.persons').as('author.persons');
        // Route.get("author/:id", "TodosController.show");
        // Route.put("author/update", "TodosController.update");
        // Route.post("author", "TodosController.store");
    });
    // .middleware("auth:api");
})
    .namespace('App/Controllers/Http/Api')
    .prefix('api');
